## kdelibs4support 5.15.0

=== debian/changelog ===
kdelibs4support (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:46:28 +0100

kdelibs4support (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:12:56 +0100

kdelibs4support (5.13.0-0ubuntu2) wily; urgency=medium

  * Update symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Aug 2015 08:37:27 +0000

kdelibs4support (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:57:38 +0200

kdelibs4support (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge, remove unused broken backport.

  [ José Manuel Santamaría Lema ]
  * Set libkf5kdelibs4support-data as Multi-Arch: foreign.

  [ Scarlett Clark ]
  * Apply the above patch. 

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

  [ Scarlett Clark ]
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:27:48 +0200

kdelibs4support (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 15:51:33 +0200

kdelibs4support (5.10.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:11:42 +0200

kdelibs4support (5.9.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols file to fix FTBFS on armel, mips and mipsel.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 16 Jun 2015 18:10:40 +0200

kdelibs4support (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:11 +0200

kdelibs4support (5.8.0-1) experimental; urgency=medium

  * Add missing -dev dependency (cmake files depend on kinit).
  * New upstream release (5.7.0).
  * New upstream release (5.8.0).
  * Refresh patches.
  * New patch: standarddirs_test

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Mar 2015 17:45:50 +0100

kdelibs4support (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Set -data package as arch all.
  * Update copyright information.
  * Update install files.
  * Update watch file.
  * Add basic autopkgtests support.
  * Add missing -dev dependencies.
  * New patch: incomplete_header.
  * New patch: install_missing_header.
  * New patch: renamed_header.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Feb 2015 20:23:02 +0100
