=== debian/control ===
--- 
+++ 
@@ -3,61 +3,53 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               kdoctools-dev (>= 5.9.0),
-               kgendesignerplugin (>= 5.9.0),
-               kio-dev (>= 5.9.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               kdesignerplugin (>= 5.12.0~),
+               kdoctools-dev (>= 5.15.0~),
+               kgendesignerplugin (>= 5.15.0~),
+               kio-dev (>= 5.15.0~),
                libecm-dev,
                libintl-perl,
-               libkf5archive-dev (>= 5.9.0),
-               libkf5attica-dev (>= 5.9.0),
-               libkf5auth-dev (>= 5.9.0),
-               libkf5bookmarks-dev (>= 5.9.0),
-               libkf5codecs-dev (>= 5.9.0),
-               libkf5completion-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5configwidgets-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5crash-dev (>= 5.9.0),
-               libkf5dbusaddons-dev (>= 5.9.0),
-               libkf5globalaccel-dev (>= 5.9.0),
-               libkf5guiaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5iconthemes-dev (>= 5.9.0),
-               libkf5itemviews-dev (>= 5.9.0),
-               libkf5jobwidgets-dev (>= 5.9.0),
-               libkf5kjs-dev (>= 5.9.0),
-               libkf5notifications-dev (>= 5.9.0),
-               libkf5parts-dev (>= 5.9.0),
-               libkf5service-dev (>= 5.9.0),
-               libkf5solid-dev (>= 5.9.0),
-               libkf5sonnet-dev (>= 5.9.0),
-               libkf5textwidgets-dev (>= 5.9.0),
-               libkf5unitconversion-dev (>= 5.9.0),
-               libkf5widgetsaddons-dev (>= 5.9.0),
-               libkf5windowsystem-dev (>= 5.9.0),
-               libkf5xmlgui-dev (>= 5.9.0),
+               libkf5completion-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.15.0~),
+               libkf5configwidgets-dev (>= 5.15.0~),
+               libkf5crash-dev (>= 5.15.0~),
+               libkf5dbusaddons-dev (>= 5.15.0~),
+               libkf5globalaccel-dev (>= 5.15.0~),
+               libkf5guiaddons-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5iconthemes-dev (>= 5.15.0~),
+               libkf5notifications-dev (>= 5.15.0~),
+               libkf5parts-dev (>= 5.15.0~),
+               libkf5service-dev (>= 5.15.0~),
+               libkf5textwidgets-dev (>= 5.15.0~),
+               libkf5unitconversion-dev (>= 5.15.0~),
+               libkf5widgetsaddons-dev (>= 5.15.0~),
+               libkf5windowsystem-dev (>= 5.15.0~),
+               libkf5xmlgui-dev (>= 5.15.0~),
                libqt5concurrent5,
                libqt5dbus5,
                libqt5gui5,
                libqt5network5,
                libqt5printsupport5,
-               libqt5svg5-dev,
+               libqt5svg5-dev (>= 5.4),
                libqt5test5,
                libqt5widgets5,
-               libqt5x11extras5-dev,
+               libqt5x11extras5-dev (>= 5.4),
                libqt5xml5,
                libsm-dev,
                libssl-dev,
+               liburi-perl,
                libx11-dev,
-               network-manager-dev,
+               network-manager-dev (>= 0.7.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4)
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/portingAids/kdelibs4support
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kdelibs4support.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kdelibs4support.git
@@ -65,25 +57,39 @@
 Package: libkf5kdelibs4support-dev
 Section: libdevel
 Architecture: any
-Depends: kdoctools-dev,
-         kgendesignerplugin,
+Multi-Arch: foreign
+Depends: kdoctools-dev (>= 5.15.0~),
+         kgendesignerplugin (>= 5.15.0~),
          kinit-dev,
-         libkf5auth-dev,
-         libkf5configwidgets-dev,
-         libkf5coreaddons-dev,
-         libkf5crash-dev,
+         kross-dev,
+         libkf5configwidgets-dev (>= 5.15.0~),
+         libkf5crash-dev (>= 5.15.0~),
+         libkf5dnssd-dev,
          libkf5emoticons-dev,
-         libkf5guiaddons-dev,
-         libkf5iconthemes-dev,
+         libkf5guiaddons-dev (>= 5.15.0~),
+         libkf5iconthemes-dev (>= 5.15.0~),
+         libkf5idletime-dev,
          libkf5itemmodels-dev,
+         libkf5kcmutils-dev,
          libkf5kdelibs4support5 (= ${binary:Version}),
          libkf5kdelibs4support5-bin (= ${binary:Version}),
-         libkf5notifications-dev,
-         libkf5parts-dev,
-         libkf5textwidgets-dev,
-         libkf5unitconversion-dev,
-         libkf5windowsystem-dev,
-         qtbase5-dev,
+         libkf5khtml-dev,
+         libkf5mediaplayer-dev,
+         libkf5newstuff-dev,
+         libkf5notifications-dev (>= 5.15.0~),
+         libkf5notifyconfig-dev,
+         libkf5parts-dev (>= 5.15.0~),
+         libkf5plotting-dev,
+         libkf5style-dev,
+         libkf5su-dev,
+         libkf5textwidgets-dev (>= 5.15.0~),
+         libkf5threadweaver-dev,
+         libkf5unitconversion-dev (>= 5.15.0~),
+         libkf5wallet-dev,
+         libkf5webkit-dev,
+         libkf5windowsystem-dev (>= 5.15.0~),
+         libssl-dev,
+         qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: development files for kde4support
  This framework provides code and utilities to ease
@@ -108,9 +114,11 @@
 
 Package: libkf5kdelibs4support5
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
- libkf5kdelibs4support-data (= ${binary:Version})
+Depends: libkf5kdelibs4support-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: libkf5kdelibs4support5-bin (= ${binary:Version})
+Multi-Arch: same
 Description: Porting aid from KDELibs4.
  This framework provides code and utilities to ease
  the transition from kdelibs 4 to KDE Frameworks 5.
@@ -131,7 +139,8 @@
  variable correctly.
 
 Package: libkf5kdelibs4support-data
-Architecture: any
+Multi-Arch: foreign
+Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5kdelibs4support5-data
 Replaces: libkf5kdelibs4support5-data
@@ -152,6 +161,8 @@
 Package: libkf5kdelibs4support5-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5kdelibs4support-data (<< 5.12.0~)
+Replaces: libkf5kdelibs4support-data (<< 5.12.0~)
 Description: Porting aid from KDELibs4.
  This framework provides code and utilities to ease
  the transition from kdelibs 4 to KDE Frameworks 5.
@@ -168,8 +179,10 @@
 
 Package: libkf5kdelibs4support5-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Depends: libkf5kdelibs4support5 (= ${binary:Version}), ${misc:Depends}
+Recommends: libkf5kdelibs4support5-bin (= ${binary:Version})
 Description: debug symbols for kde4support
  This framework provides code and utilities to ease
  the transition from kdelibs 4 to KDE Frameworks 5.
@@ -190,5 +203,3 @@
  variable correctly.
  .
  Contains debug symbols for kde4support.
-Recommends: libkf5kdelibs4support5-bin (= ${binary:Version})
-Priority: extra
